Skip to content
Guides
API reference
stablecatalog:read

Get specification by ID

Retrieve a specific specification by its ID

GET/v1/catalog/specifications/{id}

Retrieve a specific specification by its ID

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

id*string

Unique identifier of the resource.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/catalog/specifications/string"
{  "id": "string",  "storeId": "string",  "name": "string",  "key": "string",  "aliases": [    "string"  ],  "description": null,  "isMultiple": true,  "isRequired": true,  "isFilterable": true,  "isSearchable": true,  "order": 0,  "status": "inactive",  "type": "input",  "level": "product",  "values": [    {      "id": "string",      "value": "string",      "name": "string",      "isDefault": true,      "order": 0    }  ],  "metadata": {},  "createdOn": "2019-08-24T14:15:22Z",  "updatedOn": null}